Page MenuHomePhabricator

VisualEditor inspector for SyntaxHighlight is too tiny with no resize option
Closed, ResolvedPublic1 Story Points

Description

screenshot

While we can't yet just click into a <source> SyntaxHighlight extension chunk and edit it, I notice we can now click a "<>" button that opens a plaintext editor for the contents. Awesome!

Unfortunately the popup box for this seems really small, and there doesn't appear to be any way to resize it (no resize handles or zoom button that I can find).

Especially for editing source code blocks, being able to bump the size waaay up would be very helpful.


Version: unspecified
Severity: normal
URL: https://www.mediawiki.org/wiki/Manual:CORS?veaction=edit

Attached:

Details

Reference
bz55934
Related Gerrit Patches:
mediawiki/extensions/SyntaxHighlight_GeSHi : masterUse dialog for editing block level syntax highlights

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 2:19 AM
bzimport set Reference to bz55934.
brion created this task.Oct 20 2013, 12:10 PM
Jdforrester-WMF renamed this task from VisualEditor: Inspector for editing syntax-highlight extension contents is really tiny, can't be sized to Inspector for editing syntax-highlight extension contents is really tiny, can't be resized.Apr 20 2015, 7:40 PM
Jdforrester-WMF lowered the priority of this task from Low to Lowest.
Jdforrester-WMF set Security to None.

That inspector shown in that screenshot is not one from the SyntaxHighlight extension. Rather, it's the default dialog VisualEditor provides to allow editing of unknown MediaWiki tags (e.g. ones not registered elsewhere with a dedicated interface for known attributes and validating of values).

The SyntaxHighlight dialog or VisualEditor was merged only a few days ago:
T45126: Create a VisualEditor plugin tool to add/edit SyntaxHighlight blocks

It'll be deployed in wmf12 next week. Here's a screenshot from beta:


http://en.wikipedia.beta.wmflabs.org/wiki/Python?veaction=edit

Which.. is also not very big. Keeping this task unresolved for now.

A few ideas:

  • Button to turn dialog into "full page" size.
  • By default, inner height unrestricted (however large the textarea is, autogrowing when changing it). With outer height providing scroll overflow based on browser window size.
  • Or; default to OOjs UI "large" or "larger" size at least.
Krinkle renamed this task from Inspector for editing syntax-highlight extension contents is really tiny, can't be resized to VisualEditor inspector for SyntaxHighlight is too tiny with no resize option.Jun 26 2015, 8:34 AM
Krinkle moved this task from Backlog to Accepted on the SyntaxHighlight board.Jun 26 2015, 8:36 AM

Change 247567 had a related patch set uploaded (by Esanders):
Use dialog for editing block level syntax highlights

https://gerrit.wikimedia.org/r/247567

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2015, 2:22 PM

Change 247567 merged by jenkins-bot:
Use dialog for editing block level syntax highlights

https://gerrit.wikimedia.org/r/247567

Jdforrester-WMF closed this task as Resolved.Oct 22 2015, 4:23 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF edited a custom field.